"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const asyncIterable_1 = require("../utils/asyncIterable");
function flat(iterables) {
    return asyncIterable_1.asyncIterable(function () {
        return tslib_1.__asyncGenerator(this, arguments, function* () {
            try {
                for (var iterables_1 = tslib_1.__asyncValues(iterables), iterables_1_1; iterables_1_1 = yield tslib_1.__await(iterables_1.next()), !iterables_1_1.done;) {
                    const element = yield tslib_1.__await(iterables_1_1.value);
                    yield tslib_1.__await(yield* tslib_1.__asyncDelegator(tslib_1.__asyncValues(element)));
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (iterables_1_1 && !iterables_1_1.done && (_a = iterables_1.return)) yield tslib_1.__await(_a.call(iterables_1));
                }
                finally { if (e_1) throw e_1.error; }
            }
            var e_1, _a;
        });
    });
}
exports.flat = flat;

//# sourceMappingURL=flat.js.map
