"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const asyncIterable_1 = require("../utils/asyncIterable");
const filter_1 = require("./filter");
function skip(source, count) {
    if (count < 0) {
        throw Error('Negative count is not supported, use await and sync iterator instead.');
    }
    return asyncIterable_1.asyncIterable(function () {
        return tslib_1.__asyncGenerator(this, arguments, function* () {
            yield tslib_1.__await(yield* tslib_1.__asyncDelegator(tslib_1.__asyncValues(filter_1.filter(source, (element, index) => index >= count))));
        });
    });
}
exports.skip = skip;

//# sourceMappingURL=skip.js.map
