"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
function nth(source, index) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        if (index < 0) {
            throw Error('Negative index is not supported, use await and sync iterator instead.');
        }
        let n = index;
        try {
            for (var source_1 = tslib_1.__asyncValues(source), source_1_1; source_1_1 = yield source_1.next(), !source_1_1.done;) {
                const element = yield source_1_1.value;
                if (!n--) {
                    return element;
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (source_1_1 && !source_1_1.done && (_a = source_1.return)) yield _a.call(source_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        var e_1, _a;
    });
}
exports.nth = nth;

//# sourceMappingURL=nth.js.map
