export declare function reduce<TElement>(source: AsyncIterable<TElement>, callback: (accumulator: TElement, current: TElement, index: number) => TElement): Promise<TElement>;
export declare function reduce<TElement, TAccumulator>(source: AsyncIterable<TElement>, callback: (accumulator: TAccumulator, current: TElement, index: number) => TAccumulator, initialValue: TAccumulator): Promise<TAccumulator>;
