"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const asyncIterable_1 = require("../utils/asyncIterable");
function filter(source, predicate) {
    return asyncIterable_1.asyncIterable(function () {
        return tslib_1.__asyncGenerator(this, arguments, function* () {
            let index = 0;
            try {
                for (var source_1 = tslib_1.__asyncValues(source), source_1_1; source_1_1 = yield tslib_1.__await(source_1.next()), !source_1_1.done;) {
                    const element = yield tslib_1.__await(source_1_1.value);
                    if (predicate(element, index++)) {
                        yield yield tslib_1.__await(element);
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (source_1_1 && !source_1_1.done && (_a = source_1.return)) yield tslib_1.__await(_a.call(source_1));
                }
                finally { if (e_1) throw e_1.error; }
            }
            var e_1, _a;
        });
    });
}
exports.filter = filter;

//# sourceMappingURL=filter.js.map
