"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
function average(source) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        let [s, n] = [0, 0];
        try {
            for (var source_1 = tslib_1.__asyncValues(source), source_1_1; source_1_1 = yield source_1.next(), !source_1_1.done;) {
                const element = yield source_1_1.value;
                [s, n] = [s + element, n + 1];
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (source_1_1 && !source_1_1.done && (_a = source_1.return)) yield _a.call(source_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return n > 0 ? s / n : undefined;
        var e_1, _a;
    });
}
exports.average = average;

//# sourceMappingURL=average.js.map
