"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
function max(source, compareFn) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        let result = undefined;
        try {
            for (var source_1 = tslib_1.__asyncValues(source), source_1_1; source_1_1 = yield source_1.next(), !source_1_1.done;) {
                const element = yield source_1_1.value;
                if (result === undefined || compareFn(element, result) > 0) {
                    result = element;
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (source_1_1 && !source_1_1.done && (_a = source_1.return)) yield _a.call(source_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return result;
        var e_1, _a;
    });
}
exports.max = max;

//# sourceMappingURL=max.js.map
