"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const asyncIterator_1 = require("./asyncIterator");
function asyncIterable(target) {
    return {
        [Symbol.asyncIterator]() {
            return asyncIterator_1.asyncIterator(target());
        },
    };
}
exports.asyncIterable = asyncIterable;

//# sourceMappingURL=asyncIterable.js.map
